<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <import type="android.text.TextUtils" />

        <variable
            name="viewModel"
            type="com.lukouguoji.gjj.viewModel.GjjGoodsManifestViewModel" />
    </data>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/color_f2"
        android:orientation="vertical"
        tools:context=".activity.GjcGoodsManifestActivity">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <ImageView
                android:layout_width="50dp"
                android:layout_height="50dp"
                android:layout_marginLeft="30dp"
                android:layout_marginTop="20dp"
                android:onClick="@{viewModel::printClick}"
                android:src="@drawable/img_print" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:text="国际进港货物交接清单"
                android:textColor="#333"
                android:textSize="35sp"
                android:textStyle="bold" />

            <ImageView
                android:id="@+id/iv"
                android:layout_width="150dp"
                android:layout_height="150dp"
                android:layout_alignParentEnd="true"
                android:layout_marginRight="30dp" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignBottom="@+id/iv"
                android:layout_marginLeft="30dp"
                android:text='@{"交接单号：" + (viewModel.dataBean.movID ?? "")}'
                android:textColor="#333"
                android:textSize="25sp"
                android:textStyle="bold" />

        </RelativeLayout>

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginHorizontal="30dp"
            android:layout_marginTop="10dp"
            android:layout_weight="1"
            android:background="@drawable/bg_border_excel"
            android:orientation="vertical">

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="55dp"
                android:background="#aaaaaa">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@drawable/bg_border_excel"
                    android:gravity="center"
                    android:text="序号"
                    android:textColor="#333"
                    android:textSize="20dp"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1.5"
                    android:background="@drawable/bg_border_excel"
                    android:gravity="center"
                    android:text="运单号"
                    android:textColor="#333"
                    android:textSize="20dp"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="2"
                    android:background="@drawable/bg_border_excel"
                    android:gravity="center"
                    android:text="航班"
                    android:textColor="#333"
                    android:textSize="20dp"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@drawable/bg_border_excel"
                    android:gravity="center"
                    android:text="始发站"
                    android:textColor="#333"
                    android:textSize="20dp"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@drawable/bg_border_excel"
                    android:gravity="center"
                    android:text="件数"
                    android:textColor="#333"
                    android:textSize="20dp"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@drawable/bg_border_excel"
                    android:gravity="center"
                    android:text="重量"
                    android:textColor="#333"
                    android:textSize="20dp"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1.2"
                    android:background="@drawable/bg_border_excel"
                    android:gravity="center"
                    android:text="特码"
                    android:textColor="#333"
                    android:textSize="20dp"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1.2"
                    android:background="@drawable/bg_border_excel"
                    android:gravity="center"
                    android:text="业务类型"
                    android:textColor="#333"
                    android:textSize="20dp"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1.2"
                    android:background="@drawable/bg_border_excel"
                    android:gravity="center"
                    android:text="品名"
                    android:textColor="#333"
                    android:textSize="20dp"
                    android:textStyle="bold" />

            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv"
                itemLayoutId="@{viewModel.itemLayoutId}"
                viewHolder="@{viewModel.itemViewHolder}"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@color/white"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                tools:listitem="@layout/item_gjj_goods_manifest" />

        </androidx.appcompat.widget.LinearLayoutCompat>

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="30dp"
            android:layout_marginVertical="20dp"
            android:gravity="center_vertical">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text='@{"交接时间：" + (viewModel.dataBean.handtime ?? "")}'
                android:textColor="#333"
                android:textSize="25sp"
                android:textStyle="bold" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="50dp"
                android:text='@{"出库人：" + (viewModel.dataBean.checkout ?? "")}'
                android:textColor="#333"
                android:textSize="25sp"
                android:textStyle="bold" />

            <View
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_weight="1" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="接收人："
                android:textColor="#333"
                android:textSize="25sp"
                android:textStyle="bold" />

            <RelativeLayout
                android:layout_width="200dp"
                android:layout_height="60dp"
                android:background="@color/white"
                android:onClick="@{viewModel::signClick}">

                <TextView
                    visible="@{TextUtils.isEmpty(viewModel.signature)}"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerInParent="true"
                    android:text="请签字"
                    android:textColor="#2323ff"
                    android:textSize="25sp" />

                <ImageView
                    android:id="@+id/iv_sign"
                    loadImage="@{viewModel.signature}"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent" />

            </RelativeLayout>

        </androidx.appcompat.widget.LinearLayoutCompat>

    </androidx.appcompat.widget.LinearLayoutCompat>
</layout>